org.eclnt.jsfserver.pagebean.provider

## Class PageBeanComponentData

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.provider.PageBeanComponentData

-     public class PageBeanComponentData
      extends java.lang.Object

  Information that is passed from the layout into the creation of a page bean. See `IPageBeanProvider`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageBeanComponentData(java.lang.String name, java.lang.String className, java.lang.String initData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()` Value of CLASSNAME from ROWPAGEBEANINCLUDE, PAGEBEANINCLUDE, PAGEBEANCOMPONENT component.
    `java.lang.String` | `getInitData()` Value of PAGEBEANINITDATA from ROWPAGEBEANINCLUDE, PAGEBEANINCLUDE, PAGEBEANCOMPONENT component.
    `java.lang.String` | `getPropertyName()` Name of property inside the `IPageBeanProvider` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageBeanComponentData

          public PageBeanComponentData(java.lang.String name,
                                       java.lang.String className,
                                       java.lang.String initData)

  - ### Method Detail

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Name of property inside the `IPageBeanProvider` instance.

    - #### getInitData

          public java.lang.String getInitData()

      Value of PAGEBEANINITDATA from ROWPAGEBEANINCLUDE, PAGEBEANINCLUDE, PAGEBEANCOMPONENT component.

    - #### getClassName

          public java.lang.String getClassName()

      Value of CLASSNAME from ROWPAGEBEANINCLUDE, PAGEBEANINCLUDE, PAGEBEANCOMPONENT component.

Copyright © CaptainCasa Gmbh. All Rights Reserved.